%define name gfontview
%define release 9mdk
%define version 0.5.0

Summary: 	A font viewer for Type 1 and TrueType fonts.
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Publishing
Source: 	%{name}-%{version}.tar.bz2
URL: 		http://gfontview.sourceforge.net/
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires: t1lib-devel
Requires: 	gtk+ >= 1.2, t1lib >= 0.8, freetype >= 1.2
Requires: 	ghostscript-fonts

%description
gfontview is a Font Viewer for outline fonts (PostScript Type 1 and TrueType). 
It will display all fonts present in the chosen directory in a list,
with a preview of the font also present in the main window.

%prep

%setup -q

%build

%configure

%make

%install

%makeinstall

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/gfontview"\
title="Gfontview"\
longtitle="Font browser"\
needs="x11"\
icon="publishing_section.png"\
section="Applications/Publishing"
EOF
)

%{find_lang} %{name}
 
%post
%{update_menus}
 
%postun
%{clean_menus}                                                                                                    

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr (-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_bindir}/*
%{_libdir}/menu/*
%{_datadir}/gnome/apps/*/*
%{_datadir}/pixmaps/*
%{_datadir}/gfontviewrc


%changelog
* Mon Feb 03 2003 Charles A Edwards <eslrahc@bellsouth.net> 0.5.0-9
- fix typo in requires
- buildrequires t1lib-devel

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-8mdk
- requires: ghostscript-font

* Thu Jan 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-7mdk
- rebuild

* Thu Sep 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-6mdk
- rebuild

* Thu May 30 2002  Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-5mdk
- rebuild against libstdc++

* Sat Jan 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.0-4mdk
- Fix menu entry

* Mon Jul 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-3mdk
- fix url

* Mon Jun 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.0-2mdk
- New office menu structure
- use find_lang macro

* Tue May 29 2001 Laurent Culioli <laurent@mandrakesoft.com> 0.5.0-1mdk

- version 0.5.0

* Tue Aug 31 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-1mdk
- BM
- macros
- menu

* Wed Apr 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-2mdk
- group fix
- bzip2 archive

* Fri Dec 17 1999 Lenny Cartier <lenny@mandrakesoft.com>
- add defattr
- new in contribs

